* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    list-style-type: none;
}

.product_list_item_wrapper {
    height: 100%;

    &:hover .product_list_item {
        transform: scale(1.02);
        box-shadow: 5px 5px 10px rgba(0, 0, 0, .2);
        transition: all 0.35s;
        box-shadow: inset 0 5px 15px rgba(102, 73, 0, 0.2), 0 0 10px 5px rgba(70, 41, 0, 0.2);
    }

    hr::before {
        background: #ff8522;
        background-color: #ff8522;
        content: "";
        display: inline-block;
        height: 100%;
        vertical-align: top;
        width: 32px;
    }
}

.not_available {

    .image_content_wrapper,
    .product_list_item_header {
        opacity: .5;
    }

    hr::before {
        background: #a8a7a7;
        background-color: #a8a7a7;
    }
}

.product_list_item {
    background-color: rgb(255, 255, 255);
    border-radius: 15px;
    display: flex;
    flex-direction: column;
    max-width: 256px;
    min-height: 378px;
    width: 256px;
    padding: 20px;
    position: relative;
    transition: box-shadow .35s;

    user-select: none;
}

.product_list_item_header {
    align-items: center;
    display: flex;
    justify-content: flex-end;
    top: 20px;
    width: 100%;
}

.add_to_favourite {
    position: relative;
    background: #fff;
    border: 1px solid hsla(0, 0%, 44%, .07);
    box-shadow: 0 3px 6px rgba(0, 0, 0, .121);

    display: flex;
    justify-content: center;
    align-items: center;

    height: 40px;
    width: 40px;
    border-radius: 50%;
    transition: all .35s;
    cursor: pointer;

    .heart {
        transition: all .35s;
        height: 19px;
        width: 19px;
        fill: #afaeae;
    }

    &:hover {
        transform: scale(1.2);
        transform-origin: center;
    }

    &.added {
        // background: #ff8522;

        svg {
            fill: #ff8522;
        }

        .heart {
            transform: rotateY(720deg);
        }
    }
}

.image_content_wrapper {
    display: flex;
    flex-direction: column;
    padding: 0;
    align-items: center;
    width: 100%;

    a {
        color: inherit;
        text-decoration: none;
        cursor: pointer;
        transition: all .35s;
    }
}

.product_list_item__image {
    height: 150px;
    margin: 10px 0 10px;
    width: 150px;
    object-position: center;
    object-fit: contain;
    -ms-interpolation-mode: bicubic;
    -webkit-tap-highlight-color: transparent;
    vertical-align: middle;
}

.product_list_item__content {
    margin-top: auto;
    align-self: flex-start;

    hr {
        border: 0;
        margin: 0 0 5px;
        color: #ff8522;
        height: 2px;
    }

    .product_weight {
        color: #707070;
        font-size: 12px;
    }
}

.product_title {
    font-family: ProximaNova, Georgia, Helvetica, sans-serif;
    display: -webkit-box;
    color: #272727;
    display: block;
    font-size: 14px;
    font-weight: 700;
    line-height: 1.4;
    overflow: hidden;
}

.rating_wrapper {
    display: flex;
    flex-direction: row;
    margin: 3px 0;
    align-items: center;
}

.icon_ex_star {
    height: 15px;
    width: 15px;
    fill: #e5e5e5;
}

.star_wrapper {
    height: 14px;
    position: relative;
    width: 75px;
}

.star_progress {
    display: flex;
    flex-direction: row;
    height: 100%;
    position: absolute;
    width: 100%;
}

.star_progress_active {
    background-color: #f2c94c;
    width: 100%;
}

.star_progress_passive {
    background-color: #e5e5e5;
    flex: 1 1;
}

.star_holder {
    fill: #fff;
    display: flex;
    position: relative;
}

.rating_count {
    color: #373737;
    font-size: 14px;
    font-weight: 700;
    padding: 0 7px 0 5px;
}

.rating_text,
.rating_text_zero {
    align-items: center;
    color: #979ea4;
    display: flex;
    font-size: 11px;
    font-weight: 400;
    justify-content: center;
    padding-left: 11px;

    &::before {
        background-color: #e5e5e5;
        border-radius: 50%;
        content: "";
        display: block;
        height: 3px;
        left: -1px;
        position: absolute;
        top: 40%;
        width: 3px;
    }
}

.rating_text {
    padding-left: 8px;
    position: relative;
}

.black,
.border_radius,
.btn_default,
.btn_gray,
.btn_link,
.btn_primary,
.btn_white {
    border-radius: 40px;
}